<script type="text/javascript">
	$(document).ready(function(){
	$("#data_detail").hide();
	
	$("#mulai").focus();
	
	$("#mulai").click(function(){
		var kode= $("#txt_kode").val();
		var total = $("#txt_total").val();
		
		if(!(total.length==0)){
			alert("Maaf, input retur pembelian "+kode+" belum direkam.");
			return (false);
		}		
		$(".input_detail").val('');
		$(".input_header").val('');
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);				
				$('#input_rb').show();
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/returbeli/tampil_data_detail.php?kode="+kode);
		hitung_total();
	}
	
	function hitung_total(){
		var kode= $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_total").val(data.total);
			}
		});
	}
	
	$('#form_cari_koderb').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_koderb').click(function(){
		$('#form_cari_koderb').dialog('open');
		$("#info_rpb").show();	
		$("#txt_carikode").focus();
	});
		
	$("#txt_carikode").keyup(function(){
		var cari = $("#txt_carikode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/tampil_koderb.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_rpb").html(data);
			}
		});
	});
	
	$('#form_cari_sup').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#txt_namasup').keyup(function(){
		cari_nomor();
		$('#form_cari_sup').dialog('open');
		$("#info_supplier").load('modul/returbeli/tampil_data_sup.php');
		$("#txt_carisup").focus();
	});
	
	$("#txt_carisup").keyup(function(){
		$("#info_supplier").show();
		var cari = $("#txt_carisup").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/tampil_data_sup.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_supplier").html(data);
			}
		});
	});
	
	$('#form_cari_faktur').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#txt_nomorfk").keyup(function(){
		var kodesup	= $("#txt_kodesup").val();
		var cari	= $("#txt_carifak").val();
		$('#form_cari_faktur').dialog('open');
		$("#info_faktur").load('modul/returbeli/tampil_data_faktur.php?kodesup='+kodesup+'&cari='+cari);
		$("#txt_carifak").focus();
	});
	
	
		
	$('#txt_carifak').keyup(function(){
		var kodesup	= $("#txt_kodesup").val();
		var cari	= $("#txt_carifak").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/tampil_data_faktur.php",
			data	: "kodesup="+kodesup+
					"&cari="+cari,
			success	: function(data){
				$("#info_faktur").html(data);
			}
		});
	});
		
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$('#txt_namast').click(function(){
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();		
	});
	
	$('#txt_namast').keyup(function(){
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();		
	});
	
	$("#txt_caribr").keyup(function(){
		var cari	= $("#txt_caribr").val();
		
		if(cari.length>3){
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/tampil_data_barang.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_barang").html(data);				
			}
		});
		}
	});
	
	$("#txt_jmlretur").keyup(function(){
		var hbasal	= $("#txt_hbasal").val();
		var hgbeli	= $("#txt_hgbeli").val();
		var jmlretur= $("#txt_jmlretur").val();
		var jretur	= parseFloat(jmlretur);
		
		var tjumlah	= jretur*parseFloat(hgbeli);
		var jmlasal	= jretur*parseFloat(hbasal);
		var rugiretur= jmlasal-tjumlah;
		$("#txt_jumlah").val(tjumlah);
		$("#txt_jmlasal").val(jmlasal);
		$("#txt_rugiretur").val(rugiretur);
	});
	
	$("#txt_hgbeli").keyup(function(){
		var hbasal	= $("#txt_hbasal").val();
		var hgbeli	= $("#txt_hgbeli").val();
		var jmlretur= $("#txt_jmlretur").val();
		var jretur	= parseFloat(jmlretur);
		
		var tjumlah	= jretur*parseFloat(hgbeli);
		var jmlasal	= jretur*parseFloat(hbasal);
		var rugiretur= jmlasal-tjumlah;
		$("#txt_jumlah").val(tjumlah);
		$("#txt_jmlasal").val(jmlasal);
		$("#txt_rugiretur").val(rugiretur);		
	});
	
	$("#simpan").click(function(){
		var kode		= $("#txt_kode").val();
		var tanggal 	= $("#txt_tanggal").val();
		var kodesup 	= $("#txt_kodesup").val();
		var namasup		= $("#txt_namasup").val();
		var nomorfk 	= $("#txt_nomorfk").val();
		var tanggalfk	= $("#txt_tanggalfk").val();
		var nourut		= $("#txt_nourut").val();
		var kodest		= $("#txt_kodest").val();
		var namast		= $("#txt_namast").val();
		var satuan		= $("#txt_satuan").val();
		var jmlretur	= $("#txt_jmlretur").val();
		var hgbeli  	= $("#txt_hgbeli").val();
		var hbasal  	= $("#txt_hbasal").val();
		var jumlah		= $("#txt_jumlah").val();
		var ket			= $("#txt_ket").val();
		var caraby 		= $(".radio_cb:checked").val();
		var cek_cb		= $(".radio_cb:checked");
		
		if(tanggal.length == 0){
           alert("Maaf, Tanggal faktur tidak boleh kosong.");
		   $("#txt_tanggal").focus();
		   return (false);
        }
		if(kodesup.length == 0){
           alert("Maaf, Kode supplier tidak boleh kosong.");
		   $("#txt_kodesup").facus();
		   return (false);
        }
		if(cek_cb.length == 0){
			alert("Maaf, Anda belum menentukan cara pengembalian.");
			$("#radio_cb").focus();
			return (false);
        }
		if(nomorfk.length == 0){
			if(caraby=='Kredit'){
				alert("Maaf, untuk retur kredit Nomor faktur harus diisi.");
				$("#txt_nomorfk").focus();
				return (false);
			}
        }
		if(kodest.length == 0){
           alert("Maaf, Kode Barang tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
        }
		if(jmlretur.length == 0){
           alert("Maaf, Jumlah retur barang tidak boleh kosong");
		   $("#txt_jmlunit").focus();
		   return (false);
        }
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodesup="+kodesup+
					"&namasup="+namasup+
					"&nomorfk="+nomorfk+
					"&tanggalfk="+tanggalfk+
					"&caraby="+caraby+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&jmlretur="+jmlretur+
					"&hbasal="+hbasal+
					"&hgbeli="+hgbeli+
					"&jumlah="+jumlah+
					"&ket="+ket,
			timeout	: 1000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_namast").focus();
				cari_nourut();
				tampil_data_detail();
			}
		});
	});
	
	$("#rekam_rb").click(function(){	
	    var kode 		= $("#txt_kode").val();
		var tanggal		= $("#txt_tanggal").val();		
		var kodesup		= $("#txt_kodesup").val();
		var namasup		= $("#txt_namasup").val();
		var nomorfk 	= $("#txt_nomorfk").val();
		var total		= $("#txt_total").val();
		var caraby 		= $(".radio_cb:checked").val();
		var cek_radio	= $(".radio_cb:checked");
		
		if(kode.length == 0){
           alert("Maaf, Kode retur masih kosong. Klik tombol Buat Retur untuk mulai.");
		   return (false);
        }		
		if(total.length == 0){
			alert("Maaf, Total nilai retur pembelian masih kosong.");
			$("#txt_kodest").focus();
			return (false);
        }		
		if(cek_radio.length == 0){
			alert("Maaf, Anda belum memilih debet atau kredit.");
			$("#txt_caraby").focus();
			return (false);		   
        }
		
		$.ajax({
			type	: "POST",
			url		: "modul/returbeli/simpan_rb.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodesup="+kodesup+
				"&namasup="+namasup+
				"&nomorfk="+nomorfk+
				"&total="+total+
				"&caraby="+caraby,
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$(".input_header").val('');
				$('#data_detail').hide();
				$("#mulai").focus();
			}
		});
	});
	
	$("#batal_rb").click(function(){
		var kode	= $("#txt_kode").val();
		var total	= $("#txt_total").val();
		
		if(kode.length == 0){
           alert("Maaf, Kode retur pembelian  masih kosong.");
		   return (false);
        }		
		if(total.length == 0){
			alert("Maaf, Total nilai retur pembelian masih kosong");
			$("#txt_kodest").focus();
			return (false);
        }
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ?');
		if (pilih==true) {
			var kode	= $("#txt_kode").val();			
			$.ajax({
				type	: "POST",
				url		: "modul/returbeli/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					window.location.reload();
				}
			});
		}
	});
		
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<td>Kode Retur : <input type='text' id='txt_kode' size='12' class='input_header' readonly>
			<img src='images/view.png' width='18' height='18' title='Cari kode transaksi' id='cari_koderb'>
		</td>
		<td>Tanggal : <input type='date' id='txt_tanggal' size='10' class='input_header'></td>
		<td>Supplier : <input type='text' id='txt_namasup' size='25' class='input_header'>
			<input type='text' id='txt_kodesup' size='3' class='input_header' readonly />
		</td>
		<td>No.Faktur : <input type='text' id='txt_nomorfk' size='14' class='input_header'></td>
		<td>Tgl.Faktur : <input type='date' id='txt_tanggalfk' size='10' class='input_header' readonly/></td>
	</tr>
</table>
<table width='100%'>
	<tr>
		<td width='25%'>Cara Pengembaliaan : 
			<input type='radio' name='txt_caraby' id='txt_caraby' value='Tunai' class='radio_cb'>Tunai
			<input type='radio' name='txt_caraby' id='txt_caraby' value='Kredit' class='radio_cb'>Kredit
		</td>
	</tr>
</table>
<hr>";

echo "<div id='form_cari_sup' title='Pencarian Data Supplier'>
		<table width='100%'>
			<tr>
				<td width='18%'>Cari Supplier</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_carisup' id='txt_carisup' size='40'</td>
			</tr>
		</table>
		<div id='info_supplier' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<table>
		<tr>
			<th>Nama Barang</th>
			<th>Kode</th>
			<th>Jml.Retur</th>
			<th>Satuan</th>
			<th>HB. Asal</th>
			<th>HB. Retur</th>
			<th>Nilai Retur</th>
			<th>Nilai Asal</th>
			<th>Selisih Retur</th>
			<th>Keterangan</th>
			<th></th>
		</tr>
		<tr>
			<input type='text' id='txt_nourut' class='input_detail' hidden/>
			<input type='text' id='txt_total' class='input_detail' hidden/>
			<td align='center'><input type='text' name='txt_namast' id='txt_namast' class='input_detail' size='30'></td>
			<td align='center'><input type='text' name='txt_kodest' id='txt_kodest' class='input_detail' size='6' readonly /></td>
			<td align='center'><input type='text' id='txt_jmlretur' class='input_detail' size='6'></td>
			<td align='center'><input type='text' id='txt_satuan' class='input_detail' size='6' readonly/></td>
			<td align='center'><input type='text' id='txt_hbasal' class='input_detail' size='10'></td>
			<td align='center'><input type='text' id='txt_hgbeli' class='input_detail' size='10'></td>
			<td align='center'><input type='text' id='txt_jumlah' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' id='txt_jmlasal' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' id='txt_rugiretur' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' id='txt_ket' class='input_detail' size='50'></td>
			<td align='center'><button id='simpan'>Rekam</button></td>
		</tr>
	</table>";
	
echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		<button name='mulai' id='mulai'>Buat Retur</button>
		<button name='rekam_rb' id='rekam_rb'>Rekam Retur</button>
		<button name='batal_rb' id='batal_rb'>Batal</button>
		<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
</table>";

echo "<div id='data_detail' style='overflow-x: auto;height: 390px;scroll-behavior: smooth'></div>";

echo "<div id='form_cari_koderb' title='Pencarian Kode Transaksi'>
		<table width='100%'>
			<tr>
				<td>Cari kode transaksi : <input type='text' id='txt_carikode' size='20'></td>
			</tr>
		</table>

		<div id='info_rpb' align='center'></div>
	</div>";

echo "<div id='form_cari_faktur' title='Pencarian Hutang Dagang'>		
		<table width='100%'>
			<tr>
				<td>Cari Faktur : <input type='text' id='txt_carifak' size='20'></td>
			</tr>
		</table>
		<div id='info_faktur' align='center'></div>
	</div>";

echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td>Cari Barang : <input type='text' name='txt_caribr' id='txt_caribr' size='40'></td>
			</tr>
		</table>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
?>
